<template lang="pug">
.row.x-detectors-setups
  .col-12.col-xl-3.mb-1.order-xl-2(key='search')
    BaseCard.highlightOnFocus(title='Search' tabindex='-1'
             @keydown.enter.native.stop='doSearch')
      li(key='0')
        .row.b-param-container
          BaseParamList(ref='earNumber' title='Experimental Area' :inEdit='true')
            template(v-slot:options='')
              option(value='') any
              option(value='1') EAR1
              option(value='2') EAR2
              option(value='3') EAR3
          OperYearSelector(ref="operYear" :inEdit='true' :allowEmpty="true")
        .row.no-gutters.mt-1
          button.x-search.btn.btn-primary.ml-auto(ref='search' @click='doSearch')
            kbd.keyHint.mr-2(v-if="showKeyHints") Ctrl+S
            | Search
  .col-12.col-xl-9(key='results')
    BaseCard
      li(key='ctrl')
        .row.justify-content-between
          .col-auto
            nav.justify-content-center(aria-label='Pagination')
              ul.pagination
                li.page-item(:class="{ disabled: page === 0 }")
                  button.page-link(type='button'  @click="goToPage(page - 1)"
                    :disabled='page === 0') #[i.fa.fa-angle-left]
                li.page-item()
                  button.page-link(type='button' @click="goToPage(page + 1)") #[i.fa.fa-angle-right]
          BaseAnimationBlock
            .col-auto.align-content-center(v-if="loading" key='loader')
              i.align-bottom.fa.fa-spinner.fa-pulse
          .col-auto.d-flex
            BaseSelect.x-entries(v-model.number='max' :inEdit='true' :noEditIcon='true')
              template(v-slot:options='')
                option(:value='20') 20
                option(:value='40') 40
                option(:value='100') 100
            button.btn.btn-primary.ml-1.x-add(v-if='isAdmin' @click="doAdd()" title='Add Detectors Setup')
              i.fa.fa-plus-square
      li.p-0(v-if='!loading' key='rows')
        table.table.table-sm.table-hover
          thead.bg-light.table-head
            tr
              th.text-center #
              th.d-md-table-cell.d-none EAR
              th Name
          tbody
            router-link(:key='m.id' v-for='m in rows' tag='tr'
                        :to='{ path: m.id.toString() }' append='').clickable
              td.text-center {{ m.id }}
              td.d-md-table-cell.d-none EAR{{ m.earNumber }}
              td {{ m.name }}
    AddDialog(ref='addDialog' :earNumber='earNumber')
</template>
<script>

export { default } from './DetectorsSetups.vue.js';

</script>
